#!/bin/bash

case "$1" in
	cputemp)
		cat /proc/sys/dev/sensors/*/temp2 | sed -e "s/^.*\ //" 
		exit $?
        ;;
	cpufan)
		cat /proc/sys/dev/sensors/*/fan1 | sed -e "s/^.*\ //"
		exit $?
        ;;
	mbtemp)
		cat /proc/sys/dev/sensors/*/temp1 | sed -e "s/^.*\ //"
		exit $?
        ;;
	mbfan)
		cat /proc/sys/dev/sensors/*/fan2 | sed -e "s/^.*\ //"
		exit $?
        ;;		
	*)
		echo ""
		echo "Usage: sysinfosensors.sh {cputemp|cpufan|mbtemp|mbfan}"
		echo ""
		exit 1
		;;
esac
exit 0
