%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define	pname		sysinfo

Name: vdr-%pname
Version: 0.0.3
Release: alt1

Summary: System information plugin for VDR
Summary(ru_RU.UTF-8): Просмотр сведений о системе для VDR
License: GPL
Group: Video
URL: http://www.kikko77.altervista.org/
Source0: %pname-%version.tar.gz
Source1: sysinfosensors.sh
Patch0: russian-%pname-%version.diff
Patch1: %pname-%version-ui.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel vdr-devel
Requires: vdr = %vdrbuild

%description
This plugin shows same info about the vdr-box system:
-kernel version
-cpu type
-cpu frequency
-cpu usage
-cpu free
-total memory
-memory free
-memory usage

%description -l ru_RU.UTF-8
Этот модуль показывает некоторые сведения о VDR-системе:
-версию ядра
-тип процессора
-частоту процессора
-процент загрузки процессора
-процент бездействия процессора
-объём памяти
-процент свободной памяти
-процент занятой памяти

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1
%patch1 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir
%__install -m755 -D %SOURCE1 %buildroot/%_bindir/sysinfosensors.sh 

%files
%plugindir/*
%_bindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Mon Jan 10 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.3-alt1
- ALTLinux build
